#!/usr/bin/env gnuplot -c
filename = 'graph'
outputsdir = './'
datafile = 'data.dat'
datafitfile = 'datafit.dat'

# == CONFIGURACIÓ DE L'OUTPUT PEL LATEX ==
set terminal cairolatex size 10cm, 7cm
set output outputsdir.filename.'.tex'

# == CONFIGURACIÓ DEL PLOT ==
set xlabel '$c$'
set ylabel '$\gamma$ ($\si{\newton\per\meter}$)'
#set xlabel 'c'
#set ylabel 'gamma'

# Opcions per la llegenda:
set key above
set key spacing 1.5
#set key off

# == CONFIGURACIÓ DEL FIT ==

f(x) = 0.072 - a*log(1 + x/b) # Funció a fitar
fit f(x) datafitfile u 1:3 via a, b # Fem el fit de les dades

plot [0:1.1] [0:0.1] datafile u 1:3:2:4 t "Experimental data" w xyerr, [0:1] f(x) t "Fit"

# == CONFIGURACIÓ DE L'OUTPUT PER SVG ==
set terminal svg dashed size 600, 600 font "Computer Modern,Tinos,Helvetica,15"
set output outputsdir.filename.'.svg'

replot
